function x = guarninv(v,L0,offs)
if (nargin < 3)
    offs = 0;
    k = 1/log(1+1/L0);
    x = (exp(v/k)-1)*L0;
else
    kM = log(1 + (1+offs)/L0);
    km = log(1 + offs/L0);
    x = (exp(v*(kM-km)+km)-1)*L0 - offs;
end