function [Lout, LaD, C, Cf] = htm(Yw, K, DynWorld, DynDisp, prc25, OffLum, W,opt)
%% Yin should be in the range [0 1]

%-------------
% PARAMETERS
%-------------
bins = 1023;%;   %number of bins

v01 = [0:1/(bins-2):1];

% Global mapping alla Guarnieri
DynW = DynWorld;
OffL = OffLum/100*DynDisp;

[Yd L0w L0d]    = Lw2Ld(Yw,DynWorld,DynDisp,prc25,OffL);
WorldLBins      = Ld2Lw(v01,DynW,DynDisp,prc25,OffL);    
WorldLBins(1)   = 0; %WorldLBins(2)/10; % to avoid division by 0
WorldLBins(bins)= max(Yw(:))+.01; % altrimenti histc() quando va in overflow mi ritorna indice 0


Cf = 0;

[Lout LaD C Cf] = tmo(Yd, K, W, WorldLBins, L0w, L0d, (opt=='H'));